# 🤖 Bellande Algorithms Web ROS/ROS2 API

# Benifits of Using the Bellande API's
- Works in any framework
- Works in any programming languages or scripting languages
- Extremely Secure over HTTPS

# Check Website All Information And Accessibility
- [![Organization Website](https://img.shields.io/badge/Explore%20Our-Website-0099cc?style=for-the-badge)](https://robotics-sensors.github.io)
- Checkout our research organization for information, information on this repository is limited as well as all the configs are demos

### 🔑 API USE
- Each Bellande APi has there unique endpoint
- **Default Assess Key for Model**: ``bellande_web_api_opensource``

  
## Use the Web-ROS-API Docker Image  for your needs with the Bellande API
- **ROS1**: [![ROS1 Docker Image](https://img.shields.io/docker/pulls/ronaldsonbellande/bellande_web_api_packages_ros1)](https://hub.docker.com/r/ronaldsonbellande/bellande_web_api_packages_ros1)
- **ROS2**: [![ROS2 Docker Image](https://img.shields.io/docker/pulls/ronaldsonbellande/bellande_web_api_packages_ros2)](https://hub.docker.com/r/ronaldsonbellande/bellande_web_api_packages_ros2)

## 📧 Explore the Docker image for the Bellande Robotic Architecture:
- **ROS1**: [![ROS1 Docker Image](https://img.shields.io/docker/pulls/ronaldsonbellande/bellande_robotic_environment_ros1)](https://hub.docker.com/r/ronaldsonbellande/bellande_robotic_environment_ros1)
- **ROS2**: [![ROS2 Docker Image](https://img.shields.io/docker/pulls/ronaldsonbellande/bellande_robotic_environment_ros2)](https://hub.docker.com/r/ronaldsonbellande/bellande_robotic_environment_ros2)

## 📋 Overview
The Bellande Algorithms Web ROS/ROS2 API serves as a gateway to utilize the sophisticated algorithms developed by Bellande. Through this API, users can access and integrate Bellande's algorithms seamlessly into their robotic systems.

## ⚙️ Functionality
The primary functionality of this API is to provide access to Bellande Algorithms. It acts as an intermediary, enabling communication between your application and Bellande's advanced algorithms. Whether you're working with ROS or ROS2, this API facilitates the utilization of Bellande's cutting-edge solutions in your robotic projects.

## 🐳 API
- [![Bellande Step](https://img.shields.io/badge/Bellande%20API-Bellande%20Step-0099cc?style=for-the-badge)](https://github.com/Robotics-Sensors/bellande_robots_step)
- [![Bellande Search Path](https://img.shields.io/badge/Bellande%20API-Bellande%20Search%20Path-0099cc?style=for-the-badge)](https://github.com/Robotics-Sensors/bellande_search_path)
- [![Bellande Alternate Path Creation](https://img.shields.io/badge/Bellande%20API-Bellande%20Alternate%20Path%20Creation-0099cc?style=for-the-badge)](https://github.com/Robotics-Sensors/bellande_adaptive_alternate_path_creation)
- [![Bellande Motion Probabilistic](https://img.shields.io/badge/Bellande%20API-Bellande%20Motion%20Probabilistic-0099cc?style=for-the-badge)](https://github.com/Robotics-Sensors/bellande_motion_probabilistic)

## 💨 Bellande Model Format API/Application & Bellande Framework
- [![Bellande Model Format](https://img.shields.io/badge/Bellande%20Model%20Format-0099cc?style=for-the-badge)](https://github.com/Artificial-Intelligence-Computer-Vision/bellande_model_format)
- [![Bellande Framework](https://img.shields.io/badge/Bellande%20Model%20Framework-0099cc?style=for-the-badge)](https://github.com/Artificial-Intelligence-Computer-Vision/bellande_model_framework)

## 💻 Usage
To begin leveraging Bellande's algorithms in your projects, simply pull the Docker image and integrate the API into your robotic environment. Detailed instructions on how to deploy and utilize the API can be found in the provided documentation.



# License
This API's is distributed under the [GNU General Public License v3.0](https://www.gnu.org/licenses/gpl-3.0.en.html) with all the code Publicly and Privately use case, see [LICENSE](https://github.com/RonaldsonBellande/bellande_web_ros_api/blob/main/LICENSE) and [NOTICE](https://github.com/RonaldsonBellande/bellande_web_ros_api/blob/main/LICENSE) for more information.
